Package org.eclipse.emf.cdo.lm.server

# Class AbstractLifecycleManager.ModuleInfo

java.lang.Object
org.eclipse.emf.cdo.lm.server.AbstractLifecycleManager.ModuleInfo

Enclosing class:
  `AbstractLifecycleManager`

public static final class AbstractLifecycleManager.ModuleInfo extends Object

Since:
  1.2
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`CDOID`
`getInitialStreamID()`
`String`
`getModuleName()`
`CDOID`
`getModuleTypeID()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getModuleName

public String getModuleName()

### getModuleTypeID

public CDOID getModuleTypeID()

### getInitialStreamID

public CDOID getInitialStreamID()

### toString

public String toString()

Overrides:
  `toString` in class `Object`